@extends('layouts.app')

@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-lg-8">
            <div class="card">
                <div class="card-header">{{ $wowa->created_at }}</div>

                <div style="position: relative" class="card-body">
                    <div class="form-inline">
                        {!! $wowa->statusBadge() !!}
                    </div>
                    <div id="id">
                        <p>
                            <i class="fas fa-hashtag"></i>
                            <b>Id</b> : {{ $wowa->id }}
                        </p>
                    </div>
                    <div id="user">
                        <p>
                            <i class="fas fa-user"></i>
                            <b>User</b> : {{ \App\User::findUserNameById($wowa) }}
                        </p>
                    </div>
                    <div id="score">
                        <p>
                            <b>Score</b> : {{ $wowa->score }}
                        </p>
                    </div>
                    <div id="population">
                        <p>
                            <b>Population number</b> : {{ $wowa->population }}
                        </p>
                    </div>
                    <div id="crossover">
                        <p>
                            <b>Crossover Rate</b> : {{ $wowa->crossover_rate }}
                        </p>
                    </div>
                    <div id="mutation">
                        <p>
                            <b>Mutation Rate</b> : {{ $wowa->mutation_rate }}
                        </p>
                    </div>
                    <div id="generation">
                        <p>
                            <b>Generation number</b> : {{ $wowa->generation_number }}
                        </p>
                    </div>
                    <div>
                        <b>Weights W Vector:</b>
                        <input type="textarea"  value="@json($wowa->weightsW())" id="w_weights" style="position: absolute; width: 0; height: 0; border: none; appearance: none; opacity: .01; z-index: -1;">
                        <input type="button" class="btn btn-info" id="w_weights_button" title="Copy to clipboard" style="margin: 1em" value="@json($wowa->weightsW())" >
                    </div>
                    <div>
                        <b>Weights W Vector:</b>
                        <input type="textarea"  value="@json($wowa->weightsP())" id="p_weights" style="position: absolute; width: 0; height: 0; border: none; appearance: none; opacity: .01; z-index: -1;">
                        <input type="button" class="btn btn-info" id="p_weights_button" title="Copy to clipboard" style="margin: 1em" value="@json($wowa->weightsP())">
                    </div>

                    <div id="roc">
                        <p>
                            <b>AUC Roc curve</b> : {{ $wowa->roc }}
                        </p>
                    </div>
                    <div id="pr">
                        <p>
                            <b>AUC P-R curve</b> : {{ $wowa->pr }}
                        </p>
                    </div>
                    <div>
                        <form method="POST"
                              action="{{ action('WowaController@destroy', ['wowa' => $wowa]) }}"
                              style="display: inline-block">
                            {{ csrf_field() }}
                            {{ method_field("DELETE") }}
                            <button class="btn btn-danger">
                                 Delete
                            </button>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<script type="text/javascript">
    document.getElementById("w_weights_button").addEventListener("click", function () {
       const w = document.getElementById("w_weights").value.replace();
       w.select();
       document.execCommand("copy");
       document.getElementById("w_weights_button").value = "Copied!";
    });
    document.getElementById("p_weights_button").addEventListener("click", function () {
        const w = document.getElementById("p_weights");
        w.select();
        document.execCommand("copy");
        document.getElementById("p_weights_button").value = "Copied!";
    });
</script>
@endsection
